<?php
class VLDNifchofer extends Zend_Validate_Abstract{
	
	const INVALIDO  = 'invalido';
	const EXISTE = 'existe';
	
	protected $_messageTemplates = array(
			self::INVALIDO => "El potencial con dni '%value%' ya esta registrado",
			self::EXISTE => "El potencial con dni '%value%' ya tiene chofer asociado"
	);
	
	public function isValid($value, $context= null)
	{
		$this->_setValue($value);
	
		$isValid = true;
		$potencial = Potencial::getByDNI($value);
		if ($potencial === false) {
			//$this->_error(self::INVALIDO);
			//$isValid = false;
		}else{
			$usuario = Usuario::UsuarioLoqueado();
			if($potencial->getEmpresa() != $usuario->id){
				$this->_error(self::INVALIDO);
				$isValid = false;
			}elseif($potencial->getChofer()){
				if($context['codigo']!= $potencial->getChofer()){
					$this->_error(self::EXISTE);
					$isValid = false;
				}
				
			}
		
		}
	
		
		return $isValid;
	}
}